Method: dashboardCharts.list

Full name: projects.locations.instances.dashboardCharts.list

List all dashboard charts.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/dashboardCharts

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this dashboardCharts collection. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of dashboard charts to return. The service may return fewer than this value. If unspecified or set to 0, the default page size of 100 will be used. The maximum allowed value is 1000.

pageToken

string

Optional. A page token, received from a previous dashboardCharts.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to dashboardCharts.list must match the call that provided the page token.

filter

string

Optional. Filter expression to filter charts.

Request body

The request body must be empty.

Response body

Response message for listing dashboard charts.

If successful, the response body contains data with the following structure:

JSON representation
{
  "dashboardCharts": [
    {
      object (DashboardChart)
    }
  ],
  "nextPageToken": string,
  "totalSize": integer
}
Fields
dashboardCharts[]

object (DashboardChart)

The dashboardCharts from the specified chronicle instance.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

totalSize

integer

The total number of results matching the request.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.dashboardCharts.list

For more information, see the IAM documentation.